Ticket #18671: patch-macfuse-2.0.diff

File patch-macfuse-2.0.diff, 54.3 KB (added by drkp (Dan Ports), 14 years ago)

Portfile and patches for MacFUSE 2.0

  • fuse/macfuse/Portfile

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/Portfile /Users/dan/localports/fuse/macfuse/Portfile
    old new  
     1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
    12# $Id: Portfile 50980 2009-05-14 19:41:55Z and.damore@macports.org $
    23
    34PortSystem 1.0
    45
    56name                macfuse
    6 version             1.7
    7 revision            1
     7version             2.0.3
    88categories          fuse devel
    99platforms           macosx
    1010maintainers         eridius
    11 description         A FUSE-Compliant File System Implementation Mechanism for Mac OS X
    12 long_description    MacFUSE implements a mechanism that makes it possible to implement \
    13                     a fully functional file system in a user-space program on Mac OS X \
    14                     (10.4 and above). It aims to be API-compliant with the FUSE \
    15                     (File-system in USErspace) mechanism that originated on Linux. \
    16                     Therefore, many existing FUSE file systems become readily usable on \
    17                     Mac OS X. The core of MacFUSE is in a dynamically loadable kernel extension.
     11description         A FUSE-Compliant File System Implementation Mechanism for \
     12                    Mac OS X
     13
     14long_description    MacFUSE implements a mechanism that makes it possible to  \
     15                    implement a fully functional file system in a user-space  \
     16                    program on Mac OS X (10.4 and above). It aims to be       \
     17                    API-compliant with the FUSE (File-system in USErspace)    \
     18                    mechanism that originated on Linux.  Therefore, many      \
     19                    existing FUSE file systems become readily usable on       \
     20                    Mac OS X. The core of MacFUSE is in a dynamically         \
     21                    loadable kernel extension.
    1822
    1923homepage            http://code.google.com/p/macfuse/
    2024master_sites        macports
    21 distname            macfuse-${version}-1
    22 worksrcdir          macfuse-core
    23 checksums           md5 e2a8d2dcf116ec806d47bd050b77dd23 \
    24                     sha1 5989a81a86ce74fadedf9c06119c6c279cd1cb6c
    25 
    26 patchfiles          patch-10.4-project.pbxproj \
    27                     patch-10.5-project.pbxproj \
    28                     patch-10.5-packaging-macfuse-core-make-pkg.sh \
    29                     patch-build_macfuse.sh
    30 
    31 livecheck.distname  MacFUSE-Core-(.*).dmg
    32 livecheck.version   10.5-${version}.1
    33 
    3425use_bzip2           yes
     26worksrcdir          core
     27checksums           md5     97ab76bbade128828596aca878c6c475 \
     28                    sha1    60ea1536091740e2faeb9ebf72d8696ccd11ce2f \
     29                    rmd160  e9a79de37d84ee5e21f63f02b924d04a5df94636
     30
     31patchfiles          patch-10.5-to-10.6.diff \
     32                    patch-macfuse_buildtool.sh.diff \
     33                    patch-sdk-objc_GMUserFileSystem.m.diff \
     34                    patch-sdk-objc_MacFuse.xcodeproj.diff \
     35                    patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff \
     36                    patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff \
     37                    patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff
    3538
    36 use_configure       no
    37 
    38 destroot.violate_mtree yes
     39livecheck.type      googlecode
     40livecheck.distname  MacFUSE-(.*)%2C.*.dmg
    3941
    40 # patchfiles          patch-project.pbxproj
     42use_configure       no
    4143
    4244variant universal {
    4345    # provide a dummy variant since the script will actually build universal
     
    5153    }
    5254}
    5355
     56# copy 10.5 source directory to 10.6 to prepare for the 10.5-to-10.6 patch
     57# (this patch really should be applied upstream)
     58#
     59# use cp -R instead of cp -r or copy to preserve symlinks
     60pre-patch {
     61    system "cp -R ${worksrcpath}/10.5 ${worksrcpath}/10.6"
     62}
     63
     64post-patch {
     65    reinplace s,/usr/local,${prefix},g ${worksrcpath}/macfuse_buildtool.sh
     66    reinplace s,/usr/local,${prefix},g ${worksrcpath}/sdk-objc/MacFUSE.xcodeproj/project.pbxproj
     67    reinplace s,@@PREFIX@@,${prefix},g ${worksrcpath}/10.6/libfuse/fuse-2.7.3-macosx.patch
     68    reinplace s,@@WORKPATH@@,${workpath},g ${worksrcpath}/macfuse_buildtool.sh
     69    reinplace s,@@DESTPATH@@,${destpath},g ${worksrcpath}/macfuse_buildtool.sh
     70}
     71
     72# macfuse_buildtool has been patched to install directly into ${destpath},
     73# so destroot phase is unnecessary
    5474build {
    55     system "cd ${worksrcpath} && ./build_macfuse.sh | sed -ne '/^created: /h;p;$\{g;s/^created: //
    56                 w ../dmgname
    57             \}'; exit $\{PIPESTATUS\[0\]\}"
     75     system "cd ${worksrcpath} && ./macfuse_buildtool.sh -t smalldist"
    5876}
    5977
     78destroot.violate_mtree yes
     79
    6080destroot {
    61     delete ${destpath}${prefix}
    62     set dmgname [exec cat ${workpath}/dmgname]
    63     # we know the build script generates a .tar.bz2 right next to the dmg
    64     set tarname [string tolower [string replace $dmgname end-2 end "tar.bz2"]]
    65     system "tar -xjf $tarname -C ${destpath}"
    66     file rename ${destpath}/usr/local ${destpath}${prefix}
    67     foreach f [list "pkgconfig/fuse.pc" "libfuse.la" "libulockmgr.la"] {
    68         set path "${destpath}${prefix}/lib/${f}"
    69         reinplace s,/usr/local,${prefix}, $path
    70     }
    71     set libfuse_version 0
    72     foreach lib [list "libulockmgr.0" "libfuse.${libfuse_version}"] {
    73         set libpath "${prefix}/lib/${lib}.dylib"
    74         system "install_name_tool -id ${libpath} ${destpath}${libpath}"
    75     }
    76     system "install_name_tool -change /usr/local/lib/libfuse.${libfuse_version}.dylib ${prefix}/lib/libfuse.${libfuse_version}.dylib ${destpath}/Library/Frameworks/MacFUSE.framework/Versions/A/MacFUSE"
    77     # delete the whole directory the build script creates
    78     # when updating this Portfile DOUBLE CHECK THIS LINE
    79     delete [file dirname $dmgname]
    8081}
    8182
    8283post-activate {
  • fuse/macfuse/files/patch-10.4-project.pbxproj

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.4-project.pbxproj /Users/dan/localports/fuse/macfuse/files/patch-10.4-project.pbxproj
    old new  
    1 --- 10.4/fusefs/fusefs.xcodeproj/project.pbxproj.old    2008-12-03 15:22:06.000000000 -0800
    2 +++ 10.4/fusefs/fusefs.xcodeproj/project.pbxproj        2008-12-03 15:22:10.000000000 -0800
    3 @@ -471,7 +471,7 @@
    4                         );
    5                         runOnlyForDeploymentPostprocessing = 0;
    6                         shellPath = /bin/sh;
    7 -                       shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/System/Library/Filesystems/ || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/System/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                               || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                             || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" \"CUSTOM_CFLAGS=-DMACFUSE_TARGET_OS=MAC_OS_X_VERSION_10_4\" || exit 1\nsudo $CMD_CP -pR build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
    8 +                       shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=/bin/cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/System/Library/Filesystems/ || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/System/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                               || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pR \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                             || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" \"CUSTOM_CFLAGS=-DMACFUSE_TARGET_OS=MAC_OS_X_VERSION_10_4\" || exit 1\nsudo $CMD_CP -pR build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
    9                 };
    10  /* End PBXShellScriptBuildPhase section */
    11  
  • fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff /Users/dan/localports/fuse/macfuse/files/patch-10.4_libfuse_fuse-2.7.3-macosx.patch.diff
    old new  
     1--- 10.4/libfuse/fuse-2.7.3-macosx.patch        2008-11-27 01:24:43.000000000 -0500
     2+++ 10.4/libfuse/fuse-2.7.3-macosx.patch        2009-12-22 22:57:03.000000000 -0500
     3@@ -37609,7 +37609,7 @@
     4 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
     5 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
     6 +
     7-+CC=gcc-4.0 CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4" LDFLAGS="-arch i386 -arch ppc -Wl,-no_uuid -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     8++CC=gcc-4.0 CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -g -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4" LDFLAGS="-arch i386 -arch ppc -Wl,-no_uuid -framework CoreFoundation" ./configure --prefix=@PREFIX@ --disable-dependency-tracking --disable-static
     9 diff -Naur old/example/Makefile.am new/example/Makefile.am
     10 --- old/example/Makefile.am    2008-02-19 11:51:22.000000000 -0800
     11 +++ new/example/Makefile.am    2008-11-26 22:23:12.000000000 -0800
  • fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh /Users/dan/localports/fuse/macfuse/files/patch-10.5-packaging-macfuse-core-make-pkg.sh
    old new  
    1 --- 10.5/packaging/macfuse-core/make-pkg.sh.old 2008-12-03 15:25:16.000000000 -0800
    2 +++ 10.5/packaging/macfuse-core/make-pkg.sh     2008-12-03 15:25:43.000000000 -0800
    3 @@ -88,7 +88,7 @@
    4  
    5  # Copy the uninstall script
    6  UNINSTALL_DST="$DISTRIBUTION_FOLDER/Library/Filesystems/fusefs.fs/Support/uninstall-macfuse-core.sh"
    7 -sudo cp "$UNINSTALL_SCRIPT" "$UNINSTALL_DST"
    8 +sudo /bin/cp "$UNINSTALL_SCRIPT" "$UNINSTALL_DST"
    9  sudo chmod 755 "$UNINSTALL_DST"
    10  sudo chown root:wheel "$UNINSTALL_DST"
    11  
    12 @@ -131,7 +131,7 @@
    13  VOLUME_PATH="/Volumes/$VOLUME_NAME"
    14  
    15  # Copy over the package.
    16 -sudo cp -pRX "$OUTPUT_PACKAGE" "$VOLUME_PATH"
    17 +sudo /bin/cp -pRX "$OUTPUT_PACKAGE" "$VOLUME_PATH"
    18  if [ $? -ne 0 ]
    19  then
    20      hdiutil detach "$VOLUME_PATH"
    21 @@ -139,14 +139,14 @@
    22  fi
    23  
    24  # Set the custom icon.
    25 -sudo cp -pRX "$INSTALL_RESOURCES/.VolumeIcon.icns" "$VOLUME_PATH"/.VolumeIcon.icns
    26 +sudo /bin/cp -pRX "$INSTALL_RESOURCES/.VolumeIcon.icns" "$VOLUME_PATH"/.VolumeIcon.icns
    27  sudo /Developer/Tools/SetFile -a C "$VOLUME_PATH"
    28  
    29  # Copy over the license file.
    30 -sudo cp "$INSTALL_RESOURCES/License.rtf" "$VOLUME_PATH"/License.rtf
    31 +sudo /bin/cp "$INSTALL_RESOURCES/License.rtf" "$VOLUME_PATH"/License.rtf
    32  
    33  # Copy over the CHANGELOG.txt.
    34 -sudo cp "../../../../CHANGELOG.txt" "$VOLUME_PATH"/CHANGELOG.txt
    35 +sudo /bin/cp "../../../../CHANGELOG.txt" "$VOLUME_PATH"/CHANGELOG.txt
    36  
    37  # Detach the volume.
    38  hdiutil detach "$VOLUME_PATH"
  • fuse/macfuse/files/patch-10.5-project.pbxproj

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-project.pbxproj /Users/dan/localports/fuse/macfuse/files/patch-10.5-project.pbxproj
    old new  
    1 --- 10.5/fusefs/fusefs.xcodeproj/project.pbxproj.old    2008-12-03 15:23:43.000000000 -0800
    2 +++ 10.5/fusefs/fusefs.xcodeproj/project.pbxproj        2008-12-03 15:24:12.000000000 -0800
    3 @@ -473,7 +473,7 @@
    4                         );
    5                         runOnlyForDeploymentPostprocessing = 0;
    6                         shellPath = /bin/sh;
    7 -                       shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Filesystems/     || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                                || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                              || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" || exit 1\nsudo $CMD_CP -pRX build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/usr/local/lib -type l`       # no exit upon error\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/Library/Frameworks/ -type l` # no exit upon error\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
    8 +                       shellScript = "# Create MacFUSE Tarball\n\nPATH=/bin:/sbin:/usr/bin:/usr/sbin:/Developer/Tools:/Developer/Applications\n\nCMD_BZIP2=bzip2\nCMD_CHMOD=chmod\nCMD_CHOWN=chown\nCMD_CP=/bin/cp\nCMD_ID=id\nCMD_LN=ln\nCMD_MAKE=make\nCMD_MKDIR=mkdir\nCMD_PATCH=patch\nCMD_RM=rm\nCMD_TAR=tar\nCMD_XCODEBUILD=xcodebuild\n\n# If we are not running as root, just bail out.\nmy_uid=`$CMD_ID -u`\nif [ $my_uid != 0 ]\nthen\n    exit 0\nfi\n\nMACFUSE_CORE_VERSIONED_NAME=macfuse-core-\"$OS_VERSION\"-\"$MACFUSE_VERSION\"\n\nMACFUSE_OUT_NAME=macfuse_out-\"$OS_VERSION\"\nMACFUSE_OUT=\"/tmp/$MACFUSE_OUT_NAME\"\nMACFUSE_BUILD=\"$MACFUSE_OUT/build/\"\nMACFUSE_ROOT=\"$MACFUSE_OUT/pkgroot/\"\nMACFUSE_BUNDLE_NAME=fusefs.fs\n\nsudo $CMD_RM -rf $MACFUSE_OUT                             || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_BUILD                         || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT                          || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Filesystems/     || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/Library/Frameworks/      || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/           || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/include/       || exit 1\nsudo $CMD_MKDIR -p $MACFUSE_ROOT/usr/local/lib/pkgconfig/ || exit 1\n\nMACFUSE_BUNDLE_DIR=\"$MACFUSE_ROOT/Library/Filesystems/$MACFUSE_BUNDLE_NAME\"\nMACFUSE_BUNDLE_SUPPORT_DIR=\"$MACFUSE_BUNDLE_DIR/Support\"\n\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.fs\" \"$MACFUSE_BUNDLE_DIR\"                         || exit 1\nsudo $CMD_MKDIR -p \"$MACFUSE_BUNDLE_SUPPORT_DIR\"                                                || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/fusefs.kext\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/fusefs.kext\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/load_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\"   || exit 1\nsudo $CMD_CP -pRX \"$BUILT_PRODUCTS_DIR/mount_fusefs\" \"$MACFUSE_BUNDLE_SUPPORT_DIR/mount_fusefs\" || exit 1\n\n# Build the user-space FUSE library\nsudo $CMD_TAR -C \"$MACFUSE_BUILD\" -xzf \"$PROJECT_DIR/../libfuse/fuse-current.tar.gz\" || exit 1\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_BUILD\"/fuse*                                 || exit 1\ncd \"$MACFUSE_BUILD\"/fuse*                                                            || exit 1\nsudo $CMD_PATCH -p1 < \"$PROJECT_DIR/../libfuse/fuse-current-macosx.patch\"            || exit 1\nsudo /bin/sh ./darwin_configure.sh \"$PROJECT_DIR\"                                    || exit 1\nsudo $CMD_MAKE -j2                                                                   || exit 1\nsudo $CMD_MAKE install DESTDIR=\"$MACFUSE_ROOT\"                                       || exit 1\n#sudo $CMD_LN -s libfuse.dylib \"$MACFUSE_ROOT\"/usr/local/lib/libfuse.0.dylib          || exit 1\n\n# Build MacFUSE.framework\ncd \"$PROJECT_DIR/../../sdk-objc\"                                              || exit 1\nsudo $CMD_XCODEBUILD -configuration Release \"MACFUSE_BUILD_ROOT=$MACFUSE_ROOT\" \"MACFUSE_BUNDLE_VERSION_LITERAL=$MACFUSE_VERSION\" || exit 1\nsudo $CMD_CP -pRX build/Release/*.framework $MACFUSE_ROOT/Library/Frameworks/ || exit 1\n\nsudo $CMD_CHOWN -R root:wheel \"$MACFUSE_ROOT\"/*               || exit 1\nsudo $CMD_CHMOD u+s \"$MACFUSE_BUNDLE_SUPPORT_DIR/load_fusefs\" || exit 1\nsudo $CMD_CHOWN root:admin $MACFUSE_ROOT/Library/             || exit 1\nsudo $CMD_CHOWN -R root:admin $MACFUSE_ROOT/Library/Frameworks|| exit 1\nsudo $CMD_CHMOD 0775 $MACFUSE_ROOT/Library/Frameworks         || exit 1\nsudo $CMD_CHMOD 1775 $MACFUSE_ROOT/Library/                   || exit 1\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/usr/local/lib -type l`       # no exit upon error\nsudo $CMD_CHMOD -h 755 `find $MACFUSE_ROOT/Library/Frameworks/ -type l` # no exit upon error\n\ncd \"$MACFUSE_ROOT\" || exit 1\n\nsudo $CMD_RM -f /tmp/\"$MACFUSE_CORE_VERSIONED_NAME\".tar*                                    || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                        || exit 1\nsudo $CMD_MKDIR -p \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                      || exit 1\nsudo $CMD_TAR -cpf \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"/\"$MACFUSE_CORE_VERSIONED_NAME\".tar . || exit 1\ncd \"/tmp/$MACFUSE_CORE_VERSIONED_NAME\"                                                      || exit 1\nsudo $CMD_BZIP2 -9 \"$MACFUSE_CORE_VERSIONED_NAME\".tar                                       || exit 1\nsudo $CMD_RM -rf \"/tmp/$MACFUSE_OUT_NAME\"                                                   || exit 1\n\n# Create the MacFUSE Installer Package\n\ncd \"$PROJECT_DIR/../packaging/macfuse-core/\" && sudo ./make-pkg.sh \"$OS_VERSION\" \"$MACFUSE_VERSION\"";
    9                 };
    10  /* End PBXShellScriptBuildPhase section */
    11  
  • fuse/macfuse/files/patch-10.5-to-10.6.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5-to-10.6.diff /Users/dan/localports/fuse/macfuse/files/patch-10.5-to-10.6.diff
    old new  
     1--- 10.6/libfuse/fuse-2.7.3-macosx.patch        2009-12-15 19:51:06.000000000 -0500
     2+++ 10.6/libfuse/fuse-2.7.3-macosx.patch        2009-11-29 20:58:34.000000000 -0500
     3@@ -375,7 +375,7 @@
     4 +
     5 +Making a Universal build of libfuse:
     6 +
     7-+1. Run "/bin/sh ./darwin_configure.sh /path/to/macfuse/core/10.5/fusefs/"
     8++1. Run "/bin/sh ./darwin_configure.sh /path/to/macfuse/core/10.6/fusefs/"
     9 +2. Run make
     10 +
     11 +If you begin with the "raw" patch, you need to perform a step 0 as follows:
     12@@ -37607,7 +37607,7 @@
     13 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
     14 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
     15 +
     16-+CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     17++CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64  -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     18 diff -Naur old/darwin_configure_ino64.sh new/darwin_configure_ino64.sh
     19 --- old/darwin_configure_ino64.sh      1969-12-31 16:00:00.000000000 -0800
     20 +++ new/darwin_configure_ino64.sh      2008-11-26 21:50:02.000000000 -0800
     21@@ -37617,7 +37617,7 @@
     22 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
     23 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
     24 +
     25-+CFLAGS="-D__DARWIN_64_BIT_INO_T=1 -D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     26++CFLAGS="-D__DARWIN_64_BIT_INO_T=1 -D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     27 diff -Naur old/example/Makefile.am new/example/Makefile.am
     28 --- old/example/Makefile.am    2008-02-19 11:51:22.000000000 -0800
     29 +++ new/example/Makefile.am    2008-11-26 21:50:02.000000000 -0800
     30diff -ur work/core-orig/10.5/libfuse/fuse-current-macosx.patch work/core/10.6/libfuse/fuse-current-macosx.patch
  • fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff /Users/dan/localports/fuse/macfuse/files/patch-10.5_libfuse_fuse-2.7.3-macosx.patch.diff
    old new  
     1--- 10.5/libfuse/fuse-2.7.3-macosx.patch        2008-12-02 21:32:20.000000000 -0500
     2+++ 10.5/libfuse/fuse-2.7.3-macosx.patch        2009-12-22 22:59:21.000000000 -0500
     3@@ -37607,7 +37607,7 @@
     4 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
     5 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
     6 +
     7-+CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     8++CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch ppc -arch x86_64 -arch ppc64 -isysroot /Developer/SDKs/MacOSX10.5.sdk" LDFLAGS="-arch i386 -arch ppc -arch x86_64 -arch ppc64 -framework CoreFoundation" ./configure --prefix=@@PREFIX@@ --disable-dependency-tracking --disable-static
     9 diff -Naur old/darwin_configure_ino64.sh new/darwin_configure_ino64.sh
     10 --- old/darwin_configure_ino64.sh      1969-12-31 16:00:00.000000000 -0800
     11 +++ new/darwin_configure_ino64.sh      2008-11-26 21:50:02.000000000 -0800
  • fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff /Users/dan/localports/fuse/macfuse/files/patch-10.6_libfuse_fuse-2.7.3-macosx.patch.diff
    old new  
     1--- 10.6/libfuse/fuse-2.7.3-macosx.patch       2009-12-18 01:38:35.000000000 -0500
     2+++ 10.6/libfuse/fuse-2.7.3-macosx.patch                2009-12-18 02:39:51.000000000 -0500
     3@@ -37607,7 +37607,7 @@
     4 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:-$1}
     5 +MACFUSE_SRCROOT=${MACFUSE_SRCROOT:?}
     6 +
     7-+CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64  -framework CoreFoundation" ./configure --prefix=/usr/local --disable-dependency-tracking --disable-static
     8++CFLAGS="-D__FreeBSD__=10 -D_POSIX_C_SOURCE=200112L -I$MACFUSE_SRCROOT/common -O -gdwarf-2 -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk" LDFLAGS="-arch i386 -arch x86_64  -framework CoreFoundation" ./configure --prefix=@@PREFIX@@ --disable-dependency-tracking --disable-static
     9 diff -Naur old/darwin_configure_ino64.sh new/darwin_configure_ino64.sh
     10 --- old/darwin_configure_ino64.sh      1969-12-31 16:00:00.000000000 -0800
     11 +++ new/darwin_configure_ino64.sh      2008-11-26 21:50:02.000000000 -0800
  • fuse/macfuse/files/patch-build_macfuse.sh

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-build_macfuse.sh /Users/dan/localports/fuse/macfuse/files/patch-build_macfuse.sh
    old new  
    1 --- build_macfuse.sh
    2 +++ build_macfuse.sh
    3 @@ -52,11 +52,11 @@ case "$os_release" in
    4        exit 0
    5    ;;
    6    8*)
    7 -      src_dir="$macfuse_dir/core/10.4/fusefs/"
    8 +      src_dir="$macfuse_dir/macfuse-core/10.4/fusefs/"
    9        os_codename="Tiger"
    10    ;;
    11    9*)
    12 -      src_dir="$macfuse_dir/core/10.5/fusefs/"
    13 +      src_dir="$macfuse_dir/macfuse-core/10.5/fusefs/"
    14        os_codename="Leopard"
    15    ;;
    16    *)
  • fuse/macfuse/files/patch-macfuse_buildtool.sh.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-macfuse_buildtool.sh.diff /Users/dan/localports/fuse/macfuse/files/patch-macfuse_buildtool.sh.diff
    old new  
     1--- macfuse_buildtool.sh        2009-12-15 19:51:26.000000000 -0500
     2+++ macfuse_buildtool.sh        2009-12-15 19:58:07.000000000 -0500
     3@@ -14,7 +14,7 @@
     4 # Beware: GNU libtool cannot handle directory names containing whitespace.
     5 #         Therefore, do not set M_CONF_TMPDIR to such a directory.
     6 #
     7-readonly M_CONF_TMPDIR=/tmp
     8+readonly M_CONF_TMPDIR=@@WORKPATH@@
     9 readonly M_CONF_PRIVKEY=/etc/macfuse/private.der
     10 
     11 # Other constants
     12@@ -27,7 +27,7 @@
     13 
     14 readonly M_CONFIGURATIONS="Debug Release" # default is Release
     15 readonly M_PLATFORMS="10.4 10.5 10.6"     # default is native
     16-readonly M_PLATFORMS_REALISTIC="10.4 10.5"
     17+readonly M_PLATFORMS_REALISTIC="10.4 10.5 10.6"
     18 readonly M_TARGETS="clean dist examples lib libsrc reload smalldist swconfigure"
     19 readonly M_TARGETS_WITH_PLATFORM="examples lib libsrc smalldist swconfigure"
     20 
     21@@ -207,12 +207,6 @@
     22        m_platform=`sw_vers -productVersion | cut -d . -f 1,2`
     23     fi
     24 
     25-    # XXX For now
     26-    if [ "$m_platform" == "10.6" ]
     27-    then
     28-        m_platform="10.5"
     29-    fi
     30-
     31     case "$m_platform" in
     32     10.4*)
     33         m_osname="Tiger"
     34@@ -845,13 +839,6 @@
     35     done
     36     IFS="$md_saved_ifs"
     37 
     38-    # XXX For now, make 10.5 also valid for 10.6
     39-    #
     40-    if [ -d "$md_install_resources/10.5" ]
     41-    then
     42-        ln -s "10.5" "$md_install_resources/10.6"
     43-    fi
     44-
     45     # Throw in the autoinstaller
     46     #
     47     cp "$md_ai" "$md_install_resources"
     48@@ -1063,7 +1063,7 @@
     49 
     50     local ms_macfuse_out="$M_CONF_TMPDIR/macfuse-core-$ms_os_version-$ms_macfuse_version"
     51     local ms_macfuse_build="$ms_macfuse_out/build/"
     52-    local ms_macfuse_root="$ms_macfuse_out/pkgroot/"
     53+    local ms_macfuse_root="@@DESTPATH@@"
     54 
     55     if [ "$m_shortcircuit" != "1" ]
     56     then
     57@@ -1380,8 +1367,13 @@
     58     then
     59         extra_cflags="-mmacosx-version-min=10.4"
     60         architectures="-arch i386 -arch ppc"
     61-    else
     62+    elif [ "$m_platform" == "10.5" ]
     63+    then
     64         architectures="-arch i386 -arch ppc"
     65+    else
     66+        # pc support dropped in 10.6.
     67+        # x86_64 not supported yet.
     68+        architectures="-arch i386"
     69     fi
     70 
     71     local common_cflags="-O0 -g $architectures -isysroot $m_usdk_dir -I/usr/local/include"
  • fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff /Users/dan/localports/fuse/macfuse/files/patch-sdk-objc_GMUserFileSystem.m.diff
    old new  
     1--- sdk-objc/GMUserFileSystem.m 2008-12-05 20:45:59.000000000 -0500
     2+++ sdk-objc/GMUserFileSystem.m 2009-11-29 20:58:35.000000000 -0500
     3@@ -2425,7 +2425,7 @@
     4   // filesystems. This leads to deadlock when we re-enter our mounted fuse fs.
     5   // Once initialized it seems to work fine.
     6   NSFileManager* fileManager = [NSFileManager defaultManager];
     7-  [fileManager directoryContentsAtPath:@"/Volumes"];
     8+  [fileManager contentsOfDirectoryAtPath:@"/Volumes" error:NULL];
     9 
     10   NSMutableArray* arguments =
     11     [NSMutableArray arrayWithObject:[[NSBundle mainBundle] executablePath]];
  • fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff

    diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/ports/fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff /Users/dan/localports/fuse/macfuse/files/patch-sdk-objc_MacFuse.xcodeproj.diff
    old new  
     1--- sdk-objc/MacFUSE.xcodeproj/project.pbxproj  2008-12-02 21:46:02.000000000 -0500
     2+++ sdk-objc/MacFUSE.xcodeproj/project.pbxproj  2009-11-29 20:58:35.000000000 -0500
     3@@ -7,6 +7,20 @@
     4        objects = {
     5 
     6 /* Begin PBXBuildFile section */
     7+               04F58497108BE9DC006329DD /* GMAppleDouble.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337460D27697A00554C02 /* GMAppleDouble.h */; settings = {ATTRIBUTES = (Public, ); }; };
     8+               04F58498108BE9DC006329DD /* GMFinderInfo.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337480D27697A00554C02 /* GMFinderInfo.h */; settings = {ATTRIBUTES = (Public, ); }; };
     9+               04F58499108BE9DC006329DD /* GMResourceFork.h in Headers */ = {isa = PBXBuildFile; fileRef = FF43374A0D27697A00554C02 /* GMResourceFork.h */; settings = {ATTRIBUTES = (Public, ); }; };
     10+               04F5849A108BE9DC006329DD /* GMUserFileSystem.h in Headers */ = {isa = PBXBuildFile; fileRef = FFC1BF780D2D81D5009D8847 /* GMUserFileSystem.h */; settings = {ATTRIBUTES = (Public, ); }; };
     11+               04F5849B108BE9DC006329DD /* GMDataBackedFileDelegate.h in Headers */ = {isa = PBXBuildFile; fileRef = FF6C40200D300D7E00E51DD2 /* GMDataBackedFileDelegate.h */; };
     12+               04F5849C108BE9DC006329DD /* MacFUSE.h in Headers */ = {isa = PBXBuildFile; fileRef = FF9CE9400EAC59C80006A9F1 /* MacFUSE.h */; settings = {ATTRIBUTES = (Public, ); }; };
     13+               04F5849E108BE9DC006329DD /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 089C1666FE841158C02AAC07 /* InfoPlist.strings */; };
     14+               04F584A0108BE9DC006329DD /* GMAppleDouble.m in Sources */ = {isa = PBXBuildFile; fileRef = FF4337470D27697A00554C02 /* GMAppleDouble.m */; };
     15+               04F584A1108BE9DC006329DD /* GMFinderInfo.m in Sources */ = {isa = PBXBuildFile; fileRef = FF4337490D27697A00554C02 /* GMFinderInfo.m */; };
     16+               04F584A2108BE9DC006329DD /* GMResourceFork.m in Sources */ = {isa = PBXBuildFile; fileRef = FF43374B0D27697A00554C02 /* GMResourceFork.m */; };
     17+               04F584A3108BE9DC006329DD /* GMUserFileSystem.m in Sources */ = {isa = PBXBuildFile; fileRef = FFC1BF790D2D81D5009D8847 /* GMUserFileSystem.m */; };
     18+               04F584A4108BE9DC006329DD /* GMDataBackedFileDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = FF6C40210D300D7E00E51DD2 /* GMDataBackedFileDelegate.m */; };
     19+               04F584A5108BE9DC006329DD /* macfuse_objc_dtrace.d in Sources */ = {isa = PBXBuildFile; fileRef = 28D526C70EA8342500B7CF7B /* macfuse_objc_dtrace.d */; };
     20+               04F584A7108BE9DC006329DD /* Foundation.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0867D69BFE84028FC02AAC07 /* Foundation.framework */; };
     21                28D525B50EA8076400B7CF7B /* GMAppleDouble.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337460D27697A00554C02 /* GMAppleDouble.h */; settings = {ATTRIBUTES = (Public, ); }; };
     22                28D525B60EA8076400B7CF7B /* GMFinderInfo.h in Headers */ = {isa = PBXBuildFile; fileRef = FF4337480D27697A00554C02 /* GMFinderInfo.h */; settings = {ATTRIBUTES = (Public, ); }; };
     23                28D525B70EA8076400B7CF7B /* GMResourceFork.h in Headers */ = {isa = PBXBuildFile; fileRef = FF43374A0D27697A00554C02 /* GMResourceFork.h */; settings = {ATTRIBUTES = (Public, ); }; };
     24@@ -38,6 +52,8 @@
     25 /* End PBXBuildFile section */
     26 
     27 /* Begin PBXFileReference section */
     28+               04F584AC108BE9DC006329DD /* MacFUSE.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = MacFUSE.framework; sourceTree = BUILT_PRODUCTS_DIR; };
     29+               04F584AD108BE9DC006329DD /* Info copy.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist; path = "Info copy.plist"; sourceTree = "<group>"; };
     30                0867D69BFE84028FC02AAC07 /* Foundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Foundation.framework; path = /System/Library/Frameworks/Foundation.framework; sourceTree = "<absolute>"; };
     31                089C1667FE841158C02AAC07 /* English */ = {isa = PBXFileReference; fileEncoding = 10; lastKnownFileType = text.plist.strings; name = English; path = English.lproj/InfoPlist.strings; sourceTree = "<group>"; };
     32                28D525C80EA8076400B7CF7B /* MacFUSE.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = MacFUSE.framework; sourceTree = BUILT_PRODUCTS_DIR; };
     33@@ -62,6 +78,14 @@
     34 /* End PBXFileReference section */
     35 
     36 /* Begin PBXFrameworksBuildPhase section */
     37+               04F584A6108BE9DC006329DD /* Frameworks */ = {
     38+                       isa = PBXFrameworksBuildPhase;
     39+                       buildActionMask = 2147483647;
     40+                       files = (
     41+                               04F584A7108BE9DC006329DD /* Foundation.framework in Frameworks */,
     42+                       );
     43+                       runOnlyForDeploymentPostprocessing = 0;
     44+               };
     45                28D525C20EA8076400B7CF7B /* Frameworks */ = {
     46                        isa = PBXFrameworksBuildPhase;
     47                        buildActionMask = 2147483647;
     48@@ -86,6 +110,7 @@
     49                        children = (
     50                                8DC2EF5B0486A6940098B216 /* MacFUSE.framework */,
     51                                28D525C80EA8076400B7CF7B /* MacFUSE.framework */,
     52+                               04F584AC108BE9DC006329DD /* MacFUSE.framework */,
     53                        );
     54                        name = Products;
     55                        sourceTree = "<group>";
     56@@ -117,6 +142,7 @@
     57                        children = (
     58                                8DC2EF5A0486A6940098B216 /* Info.plist */,
     59                                089C1666FE841158C02AAC07 /* InfoPlist.strings */,
     60+                               04F584AD108BE9DC006329DD /* Info copy.plist */,
     61                        );
     62                        name = Resources;
     63                        sourceTree = "<group>";
     64@@ -168,6 +194,19 @@
     65 /* End PBXGroup section */
     66 
     67 /* Begin PBXHeadersBuildPhase section */
     68+               04F58496108BE9DC006329DD /* Headers */ = {
     69+                       isa = PBXHeadersBuildPhase;
     70+                       buildActionMask = 2147483647;
     71+                       files = (
     72+                               04F58497108BE9DC006329DD /* GMAppleDouble.h in Headers */,
     73+                               04F58498108BE9DC006329DD /* GMFinderInfo.h in Headers */,
     74+                               04F58499108BE9DC006329DD /* GMResourceFork.h in Headers */,
     75+                               04F5849A108BE9DC006329DD /* GMUserFileSystem.h in Headers */,
     76+                               04F5849B108BE9DC006329DD /* GMDataBackedFileDelegate.h in Headers */,
     77+                               04F5849C108BE9DC006329DD /* MacFUSE.h in Headers */,
     78+                       );
     79+                       runOnlyForDeploymentPostprocessing = 0;
     80+               };
     81                28D525B40EA8076400B7CF7B /* Headers */ = {
     82                        isa = PBXHeadersBuildPhase;
     83                        buildActionMask = 2147483647;
     84@@ -197,6 +236,26 @@
     85 /* End PBXHeadersBuildPhase section */
     86 
     87 /* Begin PBXNativeTarget section */
     88+               04F58495108BE9DC006329DD /* MacFUSE-10.6 */ = {
     89+                       isa = PBXNativeTarget;
     90+                       buildConfigurationList = 04F584A9108BE9DC006329DD /* Build configuration list for PBXNativeTarget "MacFUSE-10.6" */;
     91+                       buildPhases = (
     92+                               04F58496108BE9DC006329DD /* Headers */,
     93+                               04F5849D108BE9DC006329DD /* Resources */,
     94+                               04F5849F108BE9DC006329DD /* Sources */,
     95+                               04F584A6108BE9DC006329DD /* Frameworks */,
     96+                               04F584A8108BE9DC006329DD /* ShellScript */,
     97+                       );
     98+                       buildRules = (
     99+                       );
     100+                       dependencies = (
     101+                       );
     102+                       name = "MacFUSE-10.6";
     103+                       productInstallPath = /Library/Frameworks;
     104+                       productName = MacFUSE;
     105+                       productReference = 04F584AC108BE9DC006329DD /* MacFUSE.framework */;
     106+                       productType = "com.apple.product-type.framework";
     107+               };
     108                28D525B30EA8076400B7CF7B /* MacFUSE-10.5 */ = {
     109                        isa = PBXNativeTarget;
     110                        buildConfigurationList = 28D525C50EA8076400B7CF7B /* Build configuration list for PBXNativeTarget "MacFUSE-10.5" */;
     111@@ -252,11 +311,20 @@
     112                        targets = (
     113                                8DC2EF4F0486A6940098B216 /* MacFUSE-10.4 */,
     114                                28D525B30EA8076400B7CF7B /* MacFUSE-10.5 */,
     115+                               04F58495108BE9DC006329DD /* MacFUSE-10.6 */,
     116                        );
     117                };
     118 /* End PBXProject section */
     119 
     120 /* Begin PBXResourcesBuildPhase section */
     121+               04F5849D108BE9DC006329DD /* Resources */ = {
     122+                       isa = PBXResourcesBuildPhase;
     123+                       buildActionMask = 2147483647;
     124+                       files = (
     125+                               04F5849E108BE9DC006329DD /* InfoPlist.strings in Resources */,
     126+                       );
     127+                       runOnlyForDeploymentPostprocessing = 0;
     128+               };
     129                28D525BA0EA8076400B7CF7B /* Resources */ = {
     130                        isa = PBXResourcesBuildPhase;
     131                        buildActionMask = 2147483647;
     132@@ -277,6 +345,20 @@
     133 /* End PBXResourcesBuildPhase section */
     134 
     135 /* Begin PBXShellScriptBuildPhase section */
     136+               04F584A8108BE9DC006329DD /* ShellScript */ = {
     137+                       isa = PBXShellScriptBuildPhase;
     138+                       buildActionMask = 12;
     139+                       files = (
     140+                       );
     141+                       inputPaths = (
     142+                       );
     143+                       outputPaths = (
     144+                       );
     145+                       runOnlyForDeploymentPostprocessing = 0;
     146+                       shellPath = /bin/sh;
     147+                       shellScript = "if [ x\"$ACTION\" != x\"build\" ]\nthen\n  exit 0\nfi\n\nTEMPLATE_DIR=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/ProjectTemplates/\"\nmkdir \"$TEMPLATE_DIR\"\ncp -R \"${SOURCE_ROOT}/ProjectTemplates/\" \"$TEMPLATE_DIR\"\nfind \"$TEMPLATE_DIR\" -type d -name '.svn' -exec rm -rf '{}' \\; > /dev/null 2>&1 || true\n\nGEN_BRIDGE_METADATA=/usr/bin/gen_bridge_metadata\nif [ ! -x $GEN_BRIDGE_METADATA ]\nthen\n  echo \"Skipping BridgeSupport due to missing gen_bridge_metadata.\"\n  exit 0\nfi\nOUT_FRAMEWORK=\"${TARGET_BUILD_DIR}/${SDK_NAME}.framework\"\nBRIDGE_DIR=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/BridgeSupport/\"\nmkdir \"$BRIDGE_DIR\"\nDYLD_LIBRARY_PATH=\"${MACFUSE_BUILD_ROOT}/usr/local/lib/\" $GEN_BRIDGE_METADATA -f \"$OUT_FRAMEWORK\" > \"${BRIDGE_DIR}/${SDK_NAME}.bridgesupport\"\n\nDEBUG_DIR=\"${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/Debug/\"\nmkdir \"$DEBUG_DIR\"\ncp -R \"${OUT_FRAMEWORK}.dSYM\" \"$DEBUG_DIR\"\n";
     148+                       showEnvVarsInLog = 0;
     149+               };
     150                28D525C40EA8076400B7CF7B /* ShellScript */ = {
     151                        isa = PBXShellScriptBuildPhase;
     152                        buildActionMask = 12;
     153@@ -308,6 +390,19 @@
     154 /* End PBXShellScriptBuildPhase section */
     155 
     156 /* Begin PBXSourcesBuildPhase section */
     157+               04F5849F108BE9DC006329DD /* Sources */ = {
     158+                       isa = PBXSourcesBuildPhase;
     159+                       buildActionMask = 2147483647;
     160+                       files = (
     161+                               04F584A0108BE9DC006329DD /* GMAppleDouble.m in Sources */,
     162+                               04F584A1108BE9DC006329DD /* GMFinderInfo.m in Sources */,
     163+                               04F584A2108BE9DC006329DD /* GMResourceFork.m in Sources */,
     164+                               04F584A3108BE9DC006329DD /* GMUserFileSystem.m in Sources */,
     165+                               04F584A4108BE9DC006329DD /* GMDataBackedFileDelegate.m in Sources */,
     166+                               04F584A5108BE9DC006329DD /* macfuse_objc_dtrace.d in Sources */,
     167+                       );
     168+                       runOnlyForDeploymentPostprocessing = 0;
     169+               };
     170                28D525BC0EA8076400B7CF7B /* Sources */ = {
     171                        isa = PBXSourcesBuildPhase;
     172                        buildActionMask = 2147483647;
     173@@ -347,6 +442,82 @@
     174 /* End PBXVariantGroup section */
     175 
     176 /* Begin XCBuildConfiguration section */
     177+               04F584AA108BE9DC006329DD /* Debug */ = {
     178+                       isa = XCBuildConfiguration;
     179+                       baseConfigurationReference = 28D5261B0EA80E7000B7CF7B /* MacFUSE.xcconfig */;
     180+                       buildSettings = {
     181+                               ARCHS = (
     182+                                       i386,
     183+                                       x86_64,
     184+                               );
     185+                               COPY_PHASE_STRIP = NO;
     186+                               DYLIB_COMPATIBILITY_VERSION = 1;
     187+                               DYLIB_CURRENT_VERSION = 1;
     188+                               FRAMEWORK_VERSION = A;
     189+                               GCC_DYNAMIC_NO_PIC = NO;
     190+                               GCC_ENABLE_FIX_AND_CONTINUE = YES;
     191+                               GCC_MODEL_TUNING = G5;
     192+                               GCC_OPTIMIZATION_LEVEL = 0;
     193+                               GCC_PRECOMPILE_PREFIX_HEADER = YES;
     194+                               GCC_PREFIX_HEADER = MacFUSE_Prefix.pch;
     195+                               INFOPLIST_FILE = Info.plist;
     196+                               INSTALL_PATH = /Library/Frameworks;
     197+                               OTHER_CFLAGS = (
     198+                                       "-D__DARWIN_64_BIT_INO_T=1",
     199+                                       "-D__FreeBSD__=10",
     200+                                       "-D_FILE_OFFSET_BITS=64",
     201+                                       "-std=c99",
     202+                                       "-I$(MACFUSE_BUILD_ROOT)/usr/local/include",
     203+                                       "${CUSTOM_CFLAGS}",
     204+                               );
     205+                               OTHER_LDFLAGS = (
     206+                                       "-lfuse_ino64",
     207+                                       "-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
     208+                               );
     209+                               PRODUCT_NAME = MacFUSE;
     210+                               SDKROOT = macosx10.6;
     211+                               "SDKROOT[arch=*64]" = macosx10.6;
     212+                               WRAPPER_EXTENSION = framework;
     213+                               ZERO_LINK = YES;
     214+                       };
     215+                       name = Debug;
     216+               };
     217+               04F584AB108BE9DC006329DD /* Release */ = {
     218+                       isa = XCBuildConfiguration;
     219+                       baseConfigurationReference = 28D5261B0EA80E7000B7CF7B /* MacFUSE.xcconfig */;
     220+                       buildSettings = {
     221+                               ARCHS = (
     222+                                       i386,
     223+                                       x86_64,
     224+                               );
     225+                               DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
     226+                               DYLIB_COMPATIBILITY_VERSION = 1;
     227+                               DYLIB_CURRENT_VERSION = 1;
     228+                               FRAMEWORK_VERSION = A;
     229+                               GCC_MODEL_TUNING = G5;
     230+                               GCC_PRECOMPILE_PREFIX_HEADER = YES;
     231+                               GCC_PREFIX_HEADER = MacFUSE_Prefix.pch;
     232+                               INFOPLIST_FILE = Info.plist;
     233+                               INSTALL_PATH = /Library/Frameworks;
     234+                               OTHER_CFLAGS = (
     235+                                       "-D__DARWIN_64_BIT_INO_T=1",
     236+                                       "-D__FreeBSD__=10",
     237+                                       "-D_FILE_OFFSET_BITS=64",
     238+                                       "-std=c99",
     239+                                       "-I$(MACFUSE_BUILD_ROOT)/usr/local/include",
     240+                                       "${CUSTOM_CFLAGS}",
     241+                               );
     242+                               OTHER_LDFLAGS = (
     243+                                       "-lfuse_ino64",
     244+                                       "-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
     245+                               );
     246+                               PRODUCT_NAME = MacFUSE;
     247+                               SDKROOT = macosx10.6;
     248+                               STRIPFLAGS = "";
     249+                               WRAPPER_EXTENSION = framework;
     250+                       };
     251+                       name = Release;
     252+               };
     253                1DEB91AE08733DA50010E9CD /* Debug */ = {
     254                        isa = XCBuildConfiguration;
     255                        baseConfigurationReference = 28D5261B0EA80E7000B7CF7B /* MacFUSE.xcconfig */;
     256@@ -401,8 +572,6 @@
     257                                ARCHS = (
     258                                        i386,
     259                                        x86_64,
     260-                                       ppc,
     261-                                       ppc64,
     262                                );
     263                                GCC_ENABLE_OBJC_EXCEPTIONS = YES;
     264                                GCC_ENABLE_OBJC_GC = supported;
     265@@ -427,8 +596,8 @@
     266                                        "-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
     267                                );
     268                                PREBINDING = NO;
     269-                               SDKROOT = macosx10.4;
     270-                               "SDKROOT[arch=*64]" = macosx10.5;
     271+                               SDKROOT = macosx10.6;
     272+                               "SDKROOT[arch=*64]" = macosx10.6;
     273                        };
     274                        name = Debug;
     275                };
     276@@ -439,8 +608,6 @@
     277                                ARCHS = (
     278                                        i386,
     279                                        x86_64,
     280-                                       ppc,
     281-                                       ppc64,
     282                                );
     283                                DEPLOYMENT_POSTPROCESSING = YES;
     284                                GCC_ENABLE_OBJC_EXCEPTIONS = YES;
     285@@ -467,8 +634,8 @@
     286                                        "-L$(MACFUSE_BUILD_ROOT)/usr/local/lib",
     287                                );
     288                                PREBINDING = NO;
     289-                               SDKROOT = macosx10.4;
     290-                               "SDKROOT[arch=*64]" = macosx10.5;
     291+                               SDKROOT = macosx10.6;
     292+                               "SDKROOT[arch=*64]" = macosx10.6;
     293                                SEPARATE_STRIP = NO;
     294                                STRIP_INSTALLED_PRODUCT = YES;
     295                                STRIP_STYLE = "non-global";
     296@@ -545,6 +712,15 @@
     297 /* End XCBuildConfiguration section */
     298 
     299 /* Begin XCConfigurationList section */
     300+               04F584A9108BE9DC006329DD /* Build configuration list for PBXNativeTarget "MacFUSE-10.6" */ = {
     301+                       isa = XCConfigurationList;
     302+                       buildConfigurations = (
     303+                               04F584AA108BE9DC006329DD /* Debug */,
     304+                               04F584AB108BE9DC006329DD /* Release */,
     305+                       );
     306+                       defaultConfigurationIsVisible = 0;
     307+                       defaultConfigurationName = Debug;
     308+               };
     309                1DEB91AD08733DA50010E9CD /* Build configuration list for PBXNativeTarget "MacFUSE-10.4" */ = {
     310                        isa = XCConfigurationList;
     311                        buildConfigurations = (